## grfcodec 6.0.6

=== debian/changelog ===
grfcodec (6.0.6-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:54:47 +1100

grfcodec (6.0.6-6build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:48:32 +0000

grfcodec (6.0.6-6) unstable; urgency=medium

  [ Matthijs Kooijman ]
  * [0353f34] Update watch file
  * [5499e4d] Fix FTBFS with gcc-11 (Closes: #984158)
  * [ef145c9] Bump standards version to 4.6.0 (no changes required)
  * [f02a6aa] Update lintian override

  [ Jenkins ]
  * [b26c412] Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 23 Nov 2021 12:14:35 +0100

grfcodec (6.0.6-5) unstable; urgency=medium

  * [99dfb79] Fix FTBFS with gcc-10 (Closes: 957307)
  * [8fcd1da] Bump standards version to 4.5.0 (no changes required)
  * [86688bd] Bump debhelper version to v13

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 12 Aug 2020 14:39:33 +0200

grfcodec (6.0.6-4) unstable; urgency=medium

  [ Jordi Mallach ]
  * [454e069] Move M-A field to binary section
  * [90e6e31] Set Rules-Requires-Root: no

  [ Matthijs Kooijman ]
  * [2a5a991] Support DEB_BUILD_OPTIONS=terse
  * [44c66ad] Update Standards-Version to 4.3.0
  * [14c98ae] Bump debhelper version to v12 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 15 Oct 2019 13:03:31 +0200

grfcodec (6.0.6-3) unstable; urgency=medium

  [ Jordi Mallach ]
  * [e61a00b] Force build to abort upon endian_check failure. Thanks to
    Helmut Grohne for suggesting this fix (Closes: #922625)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 12 Mar 2019 22:19:01 +0100

grfcodec (6.0.6-2) unstable; urgency=medium

  * [4dce67c] Bump debhelper version to v11
  * [eca5421] Bump standards version to 4.1.4
  * [8d4f2a1] Convert Priority: extra to optional
  * [cda4980] Mark as Multi-arch: foreign

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 10 May 2018 21:42:34 +0200

grfcodec (6.0.6-1) unstable; urgency=medium

  * [dd04bd9] New upstream release 6.0.6.
     - Fixes compilation with GCC 6 (Closes: #811833)
  * [b5921f7] Bump debhelper version to v9.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 03 Jul 2016 10:49:04 +0200
