=== debian/control ===
Source: grfcodec
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13), libboost-dev, libpng-dev, dpkg-dev (>=1.16.1)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openttd-team/grfcodec
Vcs-Git: https://salsa.debian.org/openttd-team/grfcodec.git
Homepage: https://github.com/OpenTTD/grfcodec
Rules-Requires-Root: no

Package: grfcodec
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nforenum
Conflicts: nforenum
Multi-Arch: foreign
Description: suite of programs to modify Transport Tycoon Deluxe's GRF files
 This package provides the grfcodec, grfdiff, grfmerge and nforenum commands
 which can be used to work with the GRF used by the Transport Tycoon Deluxe,
 TTDPatch and OpenTTD games.
