=== docs/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/grfcodec.1
	${CMAKE_CURRENT_SOURCE_DIR}/grfid.1
	${CMAKE_CURRENT_SOURCE_DIR}/grfstrip.1
	${CMAKE_CURRENT_SOURCE_DIR}/nforenum.1
	DESTINATION ${CMAKE_INSTALL_MANDIR}
)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/auto_correct.txt
	${CMAKE_CURRENT_SOURCE_DIR}/commands.txt
	${CMAKE_CURRENT_SOURCE_DIR}/grf.txt
	${CMAKE_CURRENT_SOURCE_DIR}/grfcodec.txt
	${CMAKE_CURRENT_SOURCE_DIR}/grftut.txt
	${CMAKE_CURRENT_SOURCE_DIR}/nforenum.txt
	${CMAKE_CURRENT_SOURCE_DIR}/readme.rpn.txt
	${CMAKE_CURRENT_SOURCE_DIR}/readme.md
	${CMAKE_CURRENT_SOURCE_DIR}/sanity.txt
	${CMAKE_CURRENT_SOURCE_DIR}/todo.txt
	DESTINATION ${CMAKE_INSTALL_DOCDIR}
)
