=== debian/changelog ===
grfcodec (6.1.0-1) unstable; urgency=medium

  * [f3d156d] Update watch file
  * [6487532] New upstream release 6.1.0
  * [adb0596] Update debian/rules for upstream switch to cmake
  * [b1b2ba2] Remove all patches
  * [92e3907] Add patch to fix manpage install directory
  * [96c50a6] Bump standards version to 4.7.0 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 24 Jun 2024 16:23:04 +0200
