=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: grfcodec
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
+Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13), libboost-dev, libpng-dev, dpkg-dev (>=1.16.1)
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), libboost-dev, libpng-dev, dpkg-dev (>=1.16.1), cmake
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/openttd-team/grfcodec
 Vcs-Git: https://salsa.debian.org/openttd-team/grfcodec.git
 Homepage: https://github.com/OpenTTD/grfcodec
